﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace WG_SameColumnDifferentFormatAndMask
{
    class CustomParameterViewModel : INotifyPropertyChanged
    {
        private string parameter;
        private object value;

        public CustomParameterViewModel(string parameter, object value)
        {
            this.parameter = parameter;
            this.value = value;
        }

        public string Parameter
        {
            get { return parameter; }
            set 
            {
                if (value != parameter)
                {
                    parameter = value; 
                    NotifyPropertyChanged();
                }
            }
        }

        public object Value
        {
            get { return this.value; }
            set 
            {
                if (value != this.value)
                {
                    this.value = value; 
                    NotifyPropertyChanged();
                }
                
            }
        }

        private void NotifyPropertyChanged([CallerMemberName]string properyName = "")
        {
            if(PropertyChanged != null)
                PropertyChanged.Invoke(this, new PropertyChangedEventArgs (properyName));
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
