﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WG_SameColumnDifferentFormatAndMask
{
    public partial class Form1 : Form
    {
        private EditorCache _editorCache;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            BindingList<CustomParameterViewModel> list = new BindingList<CustomParameterViewModel>();

            list.Add(new CustomParameterViewModel("NumberParameter", 1.5532));
            list.Add(new CustomParameterViewModel("DateParameter", new DateTime(1984,06,25,0,12,0)));

            ultraGrid1.DataSource = list;

            ultraGrid1.DisplayLayout.Bands[0].PerformAutoResizeColumns(false, Infragistics.Win.UltraWinGrid.PerformAutoSizeType.AllRowsInBand, true);
        }

        private EditorCache EditorCache
        {
            get
            {
                if (this._editorCache == null)
                {
                    this._editorCache = new EditorCache();
                }

                return this._editorCache;
            }
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            var row = e.Row;
            var cell = row.Cells["Value"];

            if (row.Cells["Parameter"].Value.ToString() == "NumberParameter")
            {
                cell.Editor = EditorCache.GetEditor("##.##");
            }
            else if (row.Cells["Parameter"].Value.ToString() == "DateParameter")
            {
                cell.Editor = EditorCache.GetEditor("MM/dd/yyyy hh:mm tt");
            }
        }
    }
}
